Subject: [manet] AODVv2 Optionals

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 27 Feb 2013 13:31:43 +0000

Hi John,

I agree with that type of implement option, but I don't think it is
different behavior but think different implementation. However, I agree if
there is different behavior (not able to work together) to be out of the
document in another refering to it. When I read optional (as
Core+Option) in any MANET doc I understand that it does not affect the core
if used together, am I right?

I think both mandate and option are listen behavior and not different much,
because don't affact if one of two aodvv2 routers in network having the
optional,

AB
++++++
Sub: Re: [manet] Why the WG Reactive Protocol to be Compatible with another?
On Wed, Feb 27, 2013 at 11:01 AM, Dowdell, John
<[email-masked]>wrote:

>  Well let’s consider something in AODVv2 which is present in the current
> draft. It is mandatory for routers to multicast RREQ messages to a
> nominated multicast address. However there is an option for routers to send
> by unicast to the next hop. I will not debate this topic here, you’ll have
> to read the draft, but:
>
>
>
> Core – receiving routers MUST listen on a specified multicast address for
> incoming RREQ messages
>
> Option – receiving router MAY listen for same message on its unicast
> address.
>
>
>
> Thus the option is a different behaviour (or operation if you wish) from
> the core specification. The implementation requires core functionality,
> plus whichever options the implementer feels necessary to achieve their
> objective. An implementation that does not listen on the Unicast address
> for RREQs would not receive them, but could still claim compliance with the
> specification.
>
>
>
> John
>
>
>
>
>